Page MenuHomePhabricator

Add MediaInfo data to search index for File page using onCirrusSearchBuildDocumentParse hook
Closed, ResolvedPublic

Description

As a first attempt to make a File page findable via its related MediaInfo data, add the MediaInfo data to the elastic search index for the File page using an onCirrusSearchBuildDocumentParse hook in the MediaInfo extension

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Cparle created this task.Feb 16 2018, 5:26 PM
Cparle triaged this task as Normal priority.
Cparle moved this task from To Do to Doing on the Multimedia-Team-Working-Board board.
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Feb 16 2018, 6:17 PM

Change 413719 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Add MediaInfo data to File page search index

https://gerrit.wikimedia.org/r/413719

Change 413721 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/CirrusSearch@master] Pass Updater as argument to CirrusSearchBuildDocumentParse hook

https://gerrit.wikimedia.org/r/413721

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Feb 24 2018, 5:23 PM

Change 413721 abandoned by Cparle:
Pass Updater as argument to CirrusSearchBuildDocumentParse hook

https://gerrit.wikimedia.org/r/413721

Change 416923 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Add MediaInfo data to File page search index

https://gerrit.wikimedia.org/r/416923

Change 416923 abandoned by Cparle:
Add MediaInfo data to File page search index

Reason:
This was just a demonstration of a work in progress, abandoning

https://gerrit.wikimedia.org/r/416923

Smalyshev moved this task from Up Next to Current work on the Discovery-Search board.

Change 413719 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Add MediaInfo data to File page search index

https://gerrit.wikimedia.org/r/413719

Cparle closed this task as Resolved.Apr 23 2018, 4:30 PM